#include <string>
#include <iostream>

using namespace std;

int main()
{
char a,b;
int c1,c2,i;
string rec;
rec="";
cin >>a>>b;
cin >>c1>>c2;
if (c1>c2+1)
    cout<<"Ne moze";
if(c2>c1+1)
    cout<<"Ne moze";
for(i=1;i<=c1+c2;i++)
    {
    if(c1>c2)
        {
        for(i=1;i<=((c1+c2)/2);i++)
            rec=rec+a+b;
        rec=rec+a;
        }
    if(c2>c1)
        {
        for(i=1;i<=((c1+c2)/2);i++)
            rec=rec+b+a;
        rec=rec+b;
        }
    if(c1=c2);
        {
        for(i=1;i<=((c1+c2)/2);i++)
            rec=rec+a+b;
        }
    }
cout<<rec;

}